{% set l2 = tenants.l2domain %}
{% for server in groups['host'] %}
{% for domain in l2 %}
{% if l2[domain].site == hostvars[groups['host'][0]].devices[server].site or l2[domain].site == "multi" %}
{% if l2[domain].svi.l3domain == l2["irb"+inventory_hostname[5:]].svi.l3domain %}
{% set remote_prefix = l2[domain].svi.ipv4_prefix.split(".")[2] %}
{% set remote_id = server[-2:] | int + 10 %}
{% set local_prefix = l2["irb"+inventory_hostname[5:]].svi.ipv4_prefix.split(".")[2] %}
{% set local_id = inventory_hostname[1:3] | int  + 10 %}
{% set remote_ip = "192.168." + (remote_prefix | string) + "." + (remote_id | string) %}
{% set own_ip = "192.168." + (local_prefix | string) + "." + (local_id | string) %}
{% if (remote_ip | string) != (own_ip | string) %}
{{ remote_ip }}
{% endif %}
{% endif %}
{% endif %}
{% endfor %}
{% endfor %}
